<?php
/* ----------------------------------------------------------------------------------
 *  クラス・オブジェクト：-- ◆プロパティに「無名関数」を代入◆ --の例
 *  2015.10.14 作成 yoshi of CXMedia Inc.
 * ----------------------------------------------------------------------------------
 */
header("Content-type:text/plain; charset=UTF-8");

/* -------------------
 *   クラスの構成
 * ------------------- */
class Test{
    // プロパティ
    public $bar;
    // コンストラクタ
    public function __construct() {
        //プロパティに「無名関数」を代入
        $this->bar = function(){ 
                        return '無名関数の実行結果';
                      };
    }
}

/* --------------
 *  クラスの利用
 * -------------- */
// ---インスタンス（オブジェクト）を作成--- //
$obj = new Test();

//プロパティ:「無名関数」を代入したしたものを利用
$func = $obj->bar;

// 「無名関数」実行される
echo $func();
?>
